import * as tslib_1 from "tslib";
import { IgrItemwiseStrategyBasedIndicator } from "./igr-itemwise-strategy-based-indicator";
import { MedianPriceIndicator } from "./MedianPriceIndicator";
/**
 * Represents a IgxDataChartComponent Median Price indicator series.
 * Default required members: High, Low
*/
var IgrMedianPriceIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrMedianPriceIndicator, _super);
    function IgrMedianPriceIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrMedianPriceIndicator.prototype.createImplementation = function () {
        return new MedianPriceIndicator();
    };
    Object.defineProperty(IgrMedianPriceIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrMedianPriceIndicator;
}(IgrItemwiseStrategyBasedIndicator));
export { IgrMedianPriceIndicator };
